org.apache.ode.utils.cli

## Class CommandLineMessages

- java.lang.Object
- - java.util.ResourceBundle
  - - org.apache.ode.utils.msg.MessageBundle
    - - org.apache.ode.utils.cli.CommandLineMessages

-     public class CommandLineMessages
      extends MessageBundle

  Message bundle for `org.apache.ode.utils.cli.CliHelper`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `java.util.ResourceBundle.Control`

  - ### Field Summary

    - ### Fields inherited from class java.util.ResourceBundle

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandLineMessages()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `msgAlreadySelectedOption(java.lang.String opt)` Format an error message about a repeated option.
    `java.lang.String` | `msgCliHeader(java.lang.String cmd, java.lang.String version, java.lang.String date)` Format a header for display by a commandline tool at startup.
    `java.lang.String` | `msgCommandLineError()` Format a generic error about an unparseable commandline.
    `java.lang.String` | `msgHelp()` Format the description of the commandline help option.
    `java.lang.String` | `msgMissingArgument(java.lang.String opt)` Format an error message about an option missing a required argument.
    `java.lang.String` | `msgMissingOption(java.lang.String opt)` Format an error message about a missing required option.
    `java.lang.String` | `msgQuiet()` Format the description of the quiet option.
    `java.lang.String` | `msgUnrecognizedOption(java.lang.String opt)` Format an error message about an unrecognized commandline option.
    `java.lang.String` | `msgVerbose()` Format the description of the verbose option.
    `java.lang.String` | `msgVersion()` Format the description of the version information option.
    `java.lang.String` | `msgVeryVerbose()` Format the description of the very verbose option.

    - ### Methods inherited from class org.apache.ode.utils.msg.MessageBundle

      `format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandLineMessages

          public CommandLineMessages()

  - ### Method Detail

    - #### msgCliHeader

          public java.lang.String msgCliHeader(java.lang.String cmd,
                                               java.lang.String version,
                                               java.lang.String date)

      Format a header for display by a commandline tool at startup.
      Parameters:
        `cmd` - the name of the command or class with `main(...)`
        `version` - the full version name, e.g., `2.0B101`
        `date` - the build date {0} - FiveSight ODE v{1} ({2})\nCopyright (c) 2003-2005 FiveSight Technologies, Inc.

    - #### msgHelp

          public java.lang.String msgHelp()

      Format the description of the commandline help option. print detailed help information to the console

    - #### msgVerbose

          public java.lang.String msgVerbose()

      Format the description of the verbose option. provide verbose logging information to the console (on standard error)

    - #### msgVeryVerbose

          public java.lang.String msgVeryVerbose()

      Format the description of the very verbose option.

    - #### msgVersion

          public java.lang.String msgVersion()

      Format the description of the version information option. display version information and exit

    - #### msgQuiet

          public java.lang.String msgQuiet()

      Format the description of the quiet option. do not output the program name and version header to standard out at startup

    - #### msgMissingArgument

          public java.lang.String msgMissingArgument(java.lang.String opt)

      Format an error message about an option missing a required argument.
      Parameters:
        `opt` - the name of the option missing the argument the option {0} requires an agument.

    - #### msgMissingOption

          public java.lang.String msgMissingOption(java.lang.String opt)

      Format an error message about a missing required option.
      Parameters:
        `opt` - the name of the the option the option {0} is required.

    - #### msgUnrecognizedOption

          public java.lang.String msgUnrecognizedOption(java.lang.String opt)

      Format an error message about an unrecognized commandline option.
      Parameters:
        `opt` - the unrecognized option the option {0} is not recognized.

    - #### msgAlreadySelectedOption

          public java.lang.String msgAlreadySelectedOption(java.lang.String opt)

      Format an error message about a repeated option.
      Parameters:
        `opt` - the name of the option the option {0} was already specified.

    - #### msgCommandLineError

          public java.lang.String msgCommandLineError()

      Format a generic error about an unparseable commandline. unable to parse commandline.